Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toxi.geom.mesh
Class WingedEdge

    java.lang.Object
      toxi.geom.Line3D
          toxi.geom.mesh.WingedEdge

    public class WingedEdge

extends Line3D

Nested Class Summary

Nested classes/interfaces inherited from class toxi.geom.Line3D
`Line3D.LineIntersection`

Field Summary
`java.util.List<WEFace>` | `faces`
`int` | `id`

Fields inherited from class toxi.geom.Line3D
`a, b`

Constructor Summary
`WingedEdge(WEVertex a, WEVertex b, WEFace f, int id)`

Method Summary
`WingedEdge` | `addFace(WEFace f)`
`java.util.List<WEFace>` | `getFaces()`
`WEVertex` | `getOtherEndFor(WEVertex v)`
`void` | `remove()`
`java.lang.String` | `toString()`

Methods inherited from class toxi.geom.Line3D
`closestLineTo, closestPointTo, copy, equals, getDirection, getLength, getLengthSquared, getMidPoint, getNormal, hasEndPoint, hashCode, offsetAndGrowBy, set, set, splitIntoSegments, splitIntoSegments, toRay3D`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### faces

    public java.util.List<WEFace> faces

### id

    public final int id

Constructor Detail

### WingedEdge

    public WingedEdge(WEVertex a,
                      WEVertex b,
                      WEFace f,
                      int id)

Method Detail

### addFace

    public WingedEdge addFace(WEFace f)

### getFaces

    public java.util.List<WEFace> getFaces()

  Returns:
    the faces

### getOtherEndFor

    public WEVertex getOtherEndFor(WEVertex v)

### remove

    public void remove()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Line3D`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD